{%- macro render_username(userid) -%}
	{%- if userid in users -%}
		{%- if users[userid].groupid is not none -%}
			{#-<span class="username groupcolor" style="--groupcolor: {{ groups[users[userid].groupid].color | e }};" data-userid="{{ userid }}" data-groupid="{{ users[userid].groupid | e }}" data-groupid-set="{{ users[userid].groupid is not none }}" data-username-set="{{ users[userid].username is not none }}" title="{{ userid | e }}">{{ users[userid].username|default(userid,true) | e }}</span>-->-#}
			<span class="username" data-userid="{{ userid }}" data-groupid="{{ users[userid].groupid | e }}" data-groupid-set="{{ users[userid].groupid is not none }}" data-username-set="{{ users[userid].username is not none }}" title="{{ userid | e }} ({{ users[userid].groupid | e }})">
				<span class="username__raw">{{ users[userid].username|default(userid,true) | e }}</span>
				<span class="group groupcolor" style="--groupcolor: {{ groups[users[userid].groupid].color | e }};" >{{ users[userid].groupid | e }}</span>
			</span>
		{%- else -%}
			<span class="username" data-userid="{{ userid }}" data-groupid="{{ users[userid].groupid | e }}" data-groupid-set="{{ users[userid].groupid is not none }}" data-username-set="{{ users[userid].username is not none }}" title="{{ userid | e }}">{{ users[userid].username|default(userid,true) | e }}</span>
		{%- endif -%}
	{%- else -%}
		<span class="username" data-username-set="False" title="Unbekannt">Unbekannt</span>
	{%- endif -%}
{%- endmacro -%}
